Bug 101920 - [EFL][WK2] Add APIs to toggle plug-ins support
Summary: [EFL][WK2] Add APIs to toggle plug-ins support
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-12 03:23 PST by Yuni Jeong
Modified: 2012-12-04 05:16 PST (History)
5 users (show)

See Also:


Attachments
Patch (4.06 KB, patch)
2012-11-12 22:16 PST, Yuni Jeong
no flags Details | Formatted Diff | Diff
Patch (4.08 KB, patch)
2012-12-04 02:26 PST, Yuni Jeong
no flags Details | Formatted Diff | Diff
Patch (4.16 KB, patch)
2012-12-04 03:22 PST, Yuni Jeong
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuni Jeong 2012-11-12 03:23:35 PST
Add setting APIs for plug-ins and a unit test.
Comment 1 Yuni Jeong 2012-11-12 22:16:54 PST
Created attachment 173820 [details]
Patch
Comment 2 WebKit Review Bot 2012-11-27 00:22:53 PST
Comment on attachment 173820 [details]
Patch

Rejecting attachment 173820 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
).
patching file Source/WebKit2/UIProcess/API/efl/ewk_settings.h
Hunk #1 succeeded at 424 with fuzz 2 (offset 56 lines).
patching file Source/WebKit2/UIProcess/API/efl/tests/test_ewk2_settings.cpp
Hunk #1 FAILED at 197.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebKit2/UIProcess/API/efl/tests/test_ewk2_settings.cpp.rej

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Gyuyoung K..." exit_code: 1 cwd: /mnt/git/webkit-commit-queue

Full output: http://queues.webkit.org/results/14986989
Comment 3 Yuni Jeong 2012-12-04 02:26:45 PST
Created attachment 177455 [details]
Patch
Comment 4 Chris Dumez 2012-12-04 02:57:32 PST
Comment on attachment 177455 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=177455&action=review

Patch looks technically OK but I would improve the documentation a bit.

> Source/WebKit2/ChangeLog:3
> +        [EFL][WK2] Add APIs to get/set plug-ins.

"[EFL][WK2] Add APIs to toggle plug-ins support"

> Source/WebKit2/ChangeLog:8
> +        Add setting APIs for plug-ins and a unit test.

"Add setting APIs to toggle plug-ins support and add corresponding API tests."

> Source/WebKit2/UIProcess/API/efl/ewk_settings.h:428
> + * Enables/disables the plug-ins.

Toggles plug-in support.

> Source/WebKit2/UIProcess/API/efl/ewk_settings.h:430
> + * By default, the plug-ins is enabled.

"By default, plug-ins support is enabled."

> Source/WebKit2/UIProcess/API/efl/ewk_settings.h:432
> + * @param settings settings object to set the plug-ins

"object to set plug-ins support"

> Source/WebKit2/UIProcess/API/efl/ewk_settings.h:433
> + * @param enable @c EINA_TRUE to enable the plug-ins

"to enable plug-ins support"

> Source/WebKit2/UIProcess/API/efl/ewk_settings.h:441
> + * Returns whether the plug-ins is enabled or not.

"Returns whether plug-ins support is enabled or not."

> Source/WebKit2/UIProcess/API/efl/ewk_settings.h:443
> + * @param settings settings object to query whether the plug-ins is enabled

"... whether plug-ins support is enabled"

> Source/WebKit2/UIProcess/API/efl/ewk_settings.h:445
> + * @return @c EINA_TRUE if the plug-ins is enabled

"if plug-ins support is enabled"
Comment 5 Yuni Jeong 2012-12-04 03:22:13 PST
Created attachment 177464 [details]
Patch
Comment 6 Yuni Jeong 2012-12-04 03:25:05 PST
As Christophe Dumez's comment,
i changed and reuploaded.
Comment 7 Chris Dumez 2012-12-04 03:27:10 PST
Comment on attachment 177464 [details]
Patch

LGTM, thanks.
Comment 8 Jinwoo Song 2012-12-04 03:37:46 PST
Please change the bug title, too.
Comment 9 Yuni Jeong 2012-12-04 03:45:38 PST
I changed bug title.
Comment 10 WebKit Review Bot 2012-12-04 05:15:56 PST
Comment on attachment 177464 [details]
Patch

Clearing flags on attachment: 177464

Committed r136504: <http://trac.webkit.org/changeset/136504>
Comment 11 WebKit Review Bot 2012-12-04 05:16:00 PST
All reviewed patches have been landed.  Closing bug.